<!--
1. 官方 issue 用于报告 bug 和需求建议，关于Angular的使用和开发问题在这里可能不会得到解答，感谢您的理解。
2. 建议使用英文进行提问，这样你的问题可以被更多的人阅读和回答。如果表达上确实较复杂，英文标题加中文描述也是可选的方案。
3. 报告 BUG 时请务必按照下列格式书写，并尽可能提供源代码、在线演示（http://plnkr.co/edit/tpl:sKWy62）、复现步骤、复现演示、GIF 演示等。我们和你一样都希望尽快解决问题，请不要浪费时间在互相追问上。
4. 注意你的 issue 格式，不适合阅读的格式会被忽视或直接关闭。
5. 如果需要粘贴源码，尽量避免截图并注意代码格式。关于如何在 Markdown 中书写代码可以参考：https://segmentfault.com/markdown
6. 抱怨不能解决问题，通畅有效和心情舒畅的交流才能解决。
-->

## I'm submitting a...
<!-- Check one of the following options with "x" -->
<pre><code>
[ ] Bug report  <!-- Please search GitHub for a similar issue or PR before submitting -->
[ ] Feature request
[ ] Documentation issue or request
[ ] Regression (a behavior that used to work and stopped working in a new release)
[ ] Support request => Please do not submit support request here
</code></pre>

## Current behavior
<!-- Describe how the issue manifests. -->


## Expected behavior
<!-- Describe what the desired behavior would be. -->


## Minimal reproduction of the problem with instructions
<!--
如果可能的话请尽量提供Plnkr地址：http://plnkr.co/edit/tpl:sKWy62
For bug reports please provide the *STEPS TO REPRODUCE* and if possible a *MINIMAL DEMO* of the problem via
https://plnkr.co or similar (you can use this template as a starting point: http://plnkr.co/edit/tpl:sKWy62).
-->

## What is the motivation / use case for changing the behavior?
<!-- Describe the motivation or the concrete use case. -->


## Environment

<pre><code>
Angular version: X.Y.Z
<!-- Check whether this is still an issue in the most recent Angular version -->
ng-zorro-antd version: X.Y.Z
<!-- Check whether this is still an issue in the most recent ng-zorro-antd version -->
Browser:
- [ ] Chrome (desktop) version XX
- [ ] Firefox version XX
- [ ] Safari (desktop) version XX
- [ ] IE version XX
 
For Tooling issues:
- Node version: XX  <!-- run `node --version` -->
- Platform:  <!-- Mac, Linux, Windows -->

Others:
<!-- Anything else relevant?  Operating system version, IDE, package manager, HTTP server, ... -->
</code></pre>
